Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "1483adbd-07ec-4e0c-bd30-7db46b9772ad",
"user_id": "92280834-0bb2-44df-92e9-4d719af9fc6b",
"user_planning_slot_type_id": "ccf62757-fb09-4c23-80bb-8869b9f79cfb",
"date_from": "2026-09-25T14:57:08.2400987+00:00",
"date_to": "2026-09-25T14:57:08.2400987+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-09-25T14:57:08.2400987+00:00"
}